<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.yonge.cooleshow.mbg</groupId>
    <artifactId>mall-admin</artifactId>
    <version>1.0</version>
    <packaging>jar</packaging>

    <name>mall-admin</name>
    <description>mall-admin project for mall</description>

    <parent>
        <groupId>com.yonge.cooleshow</groupId>
        <artifactId>cooleshow-mall</artifactId>
        <version>1.0</version>
    </parent>

    <dependencies>

        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>

        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>

        <dependency>
            <groupId>com.yonge.toolset</groupId>
            <artifactId>thirdparty-component</artifactId>
            <version>1.0</version>
        </dependency>

        <dependency>
            <groupId>com.yonge.cooleshow</groupId>
            <artifactId>mall-mbg</artifactId>
            <exclusions>
                <exclusion>
                    <artifactId>mybatis</artifactId>
                    <groupId>org.mybatis</groupId>
                </exclusion>
                <exclusion>
                    <artifactId>mybatis-spring</artifactId>
                    <groupId>org.mybatis</groupId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.yonge.cooleshow</groupId>
            <artifactId>mall-common</artifactId>
        </dependency>
<!--        <dependency>-->
<!--            <groupId>com.yonge.cooleshow</groupId>-->
<!--            <artifactId>mall-security</artifactId>-->
<!--        </dependency>-->
        <dependency>
            <groupId>com.yonge.cooleshow</groupId>
            <artifactId>auth-api</artifactId>
        </dependency>
        <dependency>
            <groupId>com.aliyun.oss</groupId>
            <artifactId>aliyun-sdk-oss</artifactId>
        </dependency>
        <dependency>
            <groupId>com.google.guava</groupId>
            <artifactId>guava</artifactId>
            <version>20.0</version>
            <scope>compile</scope>
        </dependency>

        <dependency>
            <groupId>com.yonge.toolset</groupId>
            <artifactId>toolset-payment</artifactId>
            <version>${project.toolset.version}</version>
        </dependency>

        <dependency>
            <groupId>com.yonge.toolset</groupId>
            <artifactId>toolset-emoji</artifactId>
            <version>1.0</version>
        </dependency>

        <dependency>
            <groupId>com.yonge.cooleshow</groupId>
            <artifactId>cooleshow-api</artifactId>
            <version>1.0</version>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
        </plugins>
    </build>
</project>
